Subject: bug#16959: closed (Re: bug#16981: 24.3.50; electric-pair-delete-adjacent-pairs broken in c-mode, python-mode, maybe-others)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Mar 2014 01:57:03 +0000

Your bug report

#16959: 24.3.50; defadvice docstring out of date

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16959: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16959
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16981: 24.3.50; electric-pair-delete-adjacent-pairs broken in c-mode, python-mode, maybe-others
From: Stefan <[email-masked]>
To: Florian Beck <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Mar 2014 21:56:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Why do you think it is obsolete?
> Because every hint of its existence has been expunged from the documentation
> and the new advice seems to offer the same functionality.

Indeed, it's technically obsolete, but it's not declared officially
obsolete yet.  It will come, tho.  But it'll be with us for many years
to come.  OTOH its support is limited to keeping things working.

>>> BTW, the nadvice info could use some more examples and a note on how
>>> to transition from defadvice.
>> I'll leave this report open till someone does that.
> Some specifics:

I've installed some changes to try and address them.

        Stefan

Subject: 24.3.50; defadvice docstring out of date
From: Florian Beck <[email-masked]>
To: [email-masked]
Date: Fri, 07 Mar 2014 16:00:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring of defadvice says

See Info node `(elisp)Advising Functions' for comprehensive documentation.

This is no longer true. Also, while the old advice mechanism seems to 
have been be obsoleted, the help doesn't say so.

BTW, the nadvice info could use some more examples and a note on how to 
transition from defadvice. Kind of obvious, I know, but only in hindsight.

-- 
Florian Beck